Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# Real Struct Reference

`#include <bigdecimal.h>`

## Data Fields
VALUE | obj
U_LONG | MaxPrec
U_LONG | Prec
S_INT | exponent
short | sign
short | flag
U_LONG | frac [1]

## Detailed Description

Definition at line 76 of file bigdecimal.h.

## Field Documentation

S_INT Real::exponent

Definition at line 84 of file bigdecimal.h.

Referenced by AddExponent(), BigDecimal_divide(), BigDecimal_DoDivmod(), BigDecimal_hash(), GetAddSubPrec(), VpAddSub(), VpAsgn(), VpComp(), VpCtoV(), VpDivd(), VpDtoV(), VpExponent10(), VpFrac(), VpMidRound(), VpMult(), VpNumOfChars(), VpPower(), VpSetPTR(), VpSqrt(), VpToFString(), VpToString(), and VpVtoD().

short Real::flag

Definition at line 95 of file bigdecimal.h.

U_LONG Real::frac[1]

Definition at line 96 of file bigdecimal.h.

Referenced by BigDecimal_div(), BigDecimal_hash(), BigDecimal_to_i(), VpAddAbs(), VpAddSub(), VpAsgn(), VpComp(), VpCtoV(), VpDivd(), VpDtoV(), VpExponent10(), VpFrac(), VpLeftRound(), VpMidRound(), VpMult(), VpNmlz(), VpPower(), VpRdup(), VpSetPTR(), VpSubAbs(), VpSzMantissa(), VpToFString(), VpToString(), and VpVtoD().

U_LONG Real::MaxPrec

Definition at line 78 of file bigdecimal.h.

Referenced by BigDecimal_divremain(), BigDecimal_load(), BigDecimal_memsize(), BigDecimal_prec(), VpAlloc(), VpAsgn(), VpCtoV(), VpDivd(), VpDtoV(), VpFrac(), VpMult(), VpPower(), VpSetPTR(), and VpSqrt().

VALUE Real::obj

Definition at line 77 of file bigdecimal.h.

Referenced by BigDecimal_add(), BigDecimal_coerce(), BigDecimal_sub(), ToValue(), VpCreateRbObject(), and VpNewRbClass().

U_LONG Real::Prec

Definition at line 81 of file bigdecimal.h.

Referenced by BigDecimal_abs(), BigDecimal_ceil(), BigDecimal_div(), BigDecimal_div2(), BigDecimal_divide(), BigDecimal_DoDivmod(), BigDecimal_fix(), BigDecimal_floor(), BigDecimal_frac(), BigDecimal_hash(), BigDecimal_mult(), BigDecimal_neg(), BigDecimal_power(), BigDecimal_prec(), BigDecimal_round(), BigDecimal_sqrt(), BigDecimal_truncate(), GetAddSubPrec(), VpAddSub(), VpAsgn(), VpComp(), VpCtoV(), VpDivd(), VpDtoV(), VpFrac(), VpLimitRound(), VpMidRound(), VpMult(), VpNmlz(), VpNumOfChars(), VpPower(), VpRdup(), VpSetPTR(), VpSzMantissa(), VpToFString(), VpToString(), and VpVtoD().

short Real::sign

Definition at line 85 of file bigdecimal.h.

Referenced by BigDecimal_hash(), BigDecimal_sign(), and VpComp().

The documentation for this struct was generated from the following file:

- ext/bigdecimal/bigdecimal.h